<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Izg project: Globals</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Izg project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
&#160;

<h3><a id="index_c"></a>- c -</h3><ul>
<li>construct2DLine()
: <a class="el" href="linearAlgebra_8c.html#afc587139f108be1542c7252e733cb106">linearAlgebra.c</a>
, <a class="el" href="linearAlgebra_8h.html#afc587139f108be1542c7252e733cb106">linearAlgebra.h</a>
</li>
<li>copy_FloatFloatVec2_To_Vec4()
: <a class="el" href="linearAlgebra_8h.html#aa007b2ebb3ea356de37ab0d0fa920df7">linearAlgebra.h</a>
, <a class="el" href="linearAlgebra_8c.html#aa007b2ebb3ea356de37ab0d0fa920df7">linearAlgebra.c</a>
</li>
<li>copy_FloatVec2_ToVec3()
: <a class="el" href="linearAlgebra_8c.html#a7c4638820b8913fe877927aaf4c84491">linearAlgebra.c</a>
, <a class="el" href="linearAlgebra_8h.html#a7c4638820b8913fe877927aaf4c84491">linearAlgebra.h</a>
</li>
<li>copy_FloatVec2Float_To_Vec4()
: <a class="el" href="linearAlgebra_8h.html#ab16d533e580c6a3e2a640bdf17bbc9d1">linearAlgebra.h</a>
, <a class="el" href="linearAlgebra_8c.html#ab16d533e580c6a3e2a640bdf17bbc9d1">linearAlgebra.c</a>
</li>
<li>copy_FloatVec3_To_Vec4()
: <a class="el" href="linearAlgebra_8c.html#abf949f1e249e3d1c231ee72e65a9696a">linearAlgebra.c</a>
, <a class="el" href="linearAlgebra_8h.html#abf949f1e249e3d1c231ee72e65a9696a">linearAlgebra.h</a>
</li>
<li>copy_Mat4()
: <a class="el" href="linearAlgebra_8c.html#ae047884a59652a5e32b90f555c521c76">linearAlgebra.c</a>
, <a class="el" href="linearAlgebra_8h.html#ae047884a59652a5e32b90f555c521c76">linearAlgebra.h</a>
</li>
<li>copy_Vec2()
: <a class="el" href="linearAlgebra_8c.html#a4b41c4aa935f692847c98caf969f4274">linearAlgebra.c</a>
, <a class="el" href="linearAlgebra_8h.html#a4b41c4aa935f692847c98caf969f4274">linearAlgebra.h</a>
</li>
<li>copy_Vec2Float_ToVec3()
: <a class="el" href="linearAlgebra_8h.html#ac534ff8c157e83446ca974ab14b93a5d">linearAlgebra.h</a>
, <a class="el" href="linearAlgebra_8c.html#ac534ff8c157e83446ca974ab14b93a5d">linearAlgebra.c</a>
</li>
<li>copy_Vec2FloatFloat_To_Vec4()
: <a class="el" href="linearAlgebra_8c.html#acecead10da9d132574e7f7de5b28158b">linearAlgebra.c</a>
, <a class="el" href="linearAlgebra_8h.html#acecead10da9d132574e7f7de5b28158b">linearAlgebra.h</a>
</li>
<li>copy_Vec2Vec2_To_Vec4()
: <a class="el" href="linearAlgebra_8c.html#a04beb577fb3eb16b699b38c255d8a1c6">linearAlgebra.c</a>
, <a class="el" href="linearAlgebra_8h.html#a04beb577fb3eb16b699b38c255d8a1c6">linearAlgebra.h</a>
</li>
<li>copy_Vec3()
: <a class="el" href="linearAlgebra_8c.html#a92095b5e7b71fdf9862d93defbd05c48">linearAlgebra.c</a>
, <a class="el" href="linearAlgebra_8h.html#a92095b5e7b71fdf9862d93defbd05c48">linearAlgebra.h</a>
</li>
<li>copy_Vec3_To_Vec2()
: <a class="el" href="linearAlgebra_8c.html#a7ada27d45ccfc6522aed3eae2ed8285d">linearAlgebra.c</a>
, <a class="el" href="linearAlgebra_8h.html#a7ada27d45ccfc6522aed3eae2ed8285d">linearAlgebra.h</a>
</li>
<li>copy_Vec3Float_To_Vec4()
: <a class="el" href="linearAlgebra_8c.html#aa6574ab0f21fd2161a67abef60544177">linearAlgebra.c</a>
, <a class="el" href="linearAlgebra_8h.html#aa6574ab0f21fd2161a67abef60544177">linearAlgebra.h</a>
</li>
<li>copy_Vec4()
: <a class="el" href="linearAlgebra_8c.html#ae2b536efaebb3d1c2377ee9ed17a59ee">linearAlgebra.c</a>
, <a class="el" href="linearAlgebra_8h.html#ae2b536efaebb3d1c2377ee9ed17a59ee">linearAlgebra.h</a>
</li>
<li>copy_Vec4_To_Vec2()
: <a class="el" href="linearAlgebra_8c.html#a46906f31d88c1e39620f3dc2bdcc1647">linearAlgebra.c</a>
, <a class="el" href="linearAlgebra_8h.html#a46906f31d88c1e39620f3dc2bdcc1647">linearAlgebra.h</a>
</li>
<li>copy_Vec4_To_Vec3()
: <a class="el" href="linearAlgebra_8h.html#a67ce5bc16a11e536343b57c65f92e956">linearAlgebra.h</a>
, <a class="el" href="linearAlgebra_8c.html#a67ce5bc16a11e536343b57c65f92e956">linearAlgebra.c</a>
</li>
<li>cpu_attachShaders()
: <a class="el" href="cpu_8c.html#a76c50b0e120265198fe036abdc42d271">cpu.c</a>
, <a class="el" href="cpu_8h.html#a76c50b0e120265198fe036abdc42d271">cpu.h</a>
</li>
<li>cpu_bindVertexPuller()
: <a class="el" href="cpu_8c.html#a18a87fa3883575459a9d12bd8c2c4fea">cpu.c</a>
, <a class="el" href="cpu_8h.html#a18a87fa3883575459a9d12bd8c2c4fea">cpu.h</a>
</li>
<li>cpu_bufferData()
: <a class="el" href="cpu_8c.html#aee5c818b862ef2e411f121fbdfb1c634">cpu.c</a>
, <a class="el" href="cpu_8h.html#aee5c818b862ef2e411f121fbdfb1c634">cpu.h</a>
</li>
<li>cpu_clear()
: <a class="el" href="cpu_8c.html#afbf6dfbd40b067a4b4fea7091fce26c0">cpu.c</a>
, <a class="el" href="cpu_8h.html#afbf6dfbd40b067a4b4fea7091fce26c0">cpu.h</a>
</li>
<li>cpu_clearColor()
: <a class="el" href="cpu_8c.html#a87eaf38fef863175a1b77f2816c946b3">cpu.c</a>
, <a class="el" href="cpu_8h.html#a87eaf38fef863175a1b77f2816c946b3">cpu.h</a>
</li>
<li>cpu_clearDepth()
: <a class="el" href="cpu_8c.html#aa55e778caf0e0bf4554258ded1230daa">cpu.c</a>
, <a class="el" href="cpu_8h.html#aa55e778caf0e0bf4554258ded1230daa">cpu.h</a>
</li>
<li>cpu_computeOrbitCamera()
: <a class="el" href="camera_8c.html#a9401b0642b138bef78433f5cedc6cea5">camera.c</a>
, <a class="el" href="camera_8h.html#a9401b0642b138bef78433f5cedc6cea5">camera.h</a>
</li>
<li>cpu_createBuffer()
: <a class="el" href="cpu_8c.html#a94245836b857a36f392bf86087e8e776">cpu.c</a>
, <a class="el" href="cpu_8h.html#a94245836b857a36f392bf86087e8e776">cpu.h</a>
</li>
<li>cpu_createProgram()
: <a class="el" href="cpu_8c.html#af3da8b71aea1c26e6a90af7da9d0e85c">cpu.c</a>
, <a class="el" href="cpu_8h.html#af3da8b71aea1c26e6a90af7da9d0e85c">cpu.h</a>
</li>
<li>cpu_createVertexPuller()
: <a class="el" href="cpu_8c.html#a3ec68476772605b8be33329f88ae4d97">cpu.c</a>
, <a class="el" href="cpu_8h.html#a3ec68476772605b8be33329f88ae4d97">cpu.h</a>
</li>
<li>cpu_deleteBuffer()
: <a class="el" href="cpu_8c.html#afbd73ba2ae2e15f3ed4c4563b0d33eac">cpu.c</a>
, <a class="el" href="cpu_8h.html#afbd73ba2ae2e15f3ed4c4563b0d33eac">cpu.h</a>
</li>
<li>cpu_deleteProgram()
: <a class="el" href="cpu_8c.html#a734afc152da07de95f0059aa989af713">cpu.c</a>
, <a class="el" href="cpu_8h.html#a734afc152da07de95f0059aa989af713">cpu.h</a>
</li>
<li>cpu_deleteVertexPuller()
: <a class="el" href="cpu_8c.html#a48128b06ac5672b842ab4733a93c8270">cpu.c</a>
, <a class="el" href="cpu_8h.html#a48128b06ac5672b842ab4733a93c8270">cpu.h</a>
</li>
<li>cpu_disableDebug()
: <a class="el" href="cpu_8c.html#a5396d4cef6e6cca84432f32545242aba">cpu.c</a>
, <a class="el" href="cpu_8h.html#a5396d4cef6e6cca84432f32545242aba">cpu.h</a>
</li>
<li>cpu_disableVertexPullerHead()
: <a class="el" href="cpu_8c.html#ab3da70ed8c49ac4c4d746e0bd0d0415b">cpu.c</a>
, <a class="el" href="cpu_8h.html#ab3da70ed8c49ac4c4d746e0bd0d0415b">cpu.h</a>
</li>
<li>cpu_drawPoints()
: <a class="el" href="cpu_8h.html#a58fde5b5ff71499123b6c8ad0a70e560">cpu.h</a>
, <a class="el" href="cpu_8c.html#a58fde5b5ff71499123b6c8ad0a70e560">cpu.c</a>
</li>
<li>cpu_drawTriangles()
: <a class="el" href="cpu_8c.html#a13c52301446924ffbc425a07f8a14ed2">cpu.c</a>
, <a class="el" href="cpu_8h.html#a13c52301446924ffbc425a07f8a14ed2">cpu.h</a>
</li>
<li>cpu_enableDebug()
: <a class="el" href="cpu_8c.html#ae2735d6b22346331d93d2fd3970a7a63">cpu.c</a>
, <a class="el" href="cpu_8h.html#ae2735d6b22346331d93d2fd3970a7a63">cpu.h</a>
</li>
<li>cpu_enableVertexPullerHead()
: <a class="el" href="cpu_8c.html#a5a6ce215f054d26134c7598714cfb453">cpu.c</a>
, <a class="el" href="cpu_8h.html#a5a6ce215f054d26134c7598714cfb453">cpu.h</a>
</li>
<li>cpu_finish()
: <a class="el" href="cpu_8c.html#adf92934b1267c443695de9a19877f3e1">cpu.c</a>
, <a class="el" href="cpu_8h.html#adf92934b1267c443695de9a19877f3e1">cpu.h</a>
</li>
<li>cpu_freeGPU()
: <a class="el" href="cpu_8c.html#a9e8ff78225dbbecbd5e9c87f07aa5e90">cpu.c</a>
, <a class="el" href="cpu_8h.html#a9e8ff78225dbbecbd5e9c87f07aa5e90">cpu.h</a>
</li>
<li>cpu_getCameraPositionFromViewMatrix()
: <a class="el" href="camera_8c.html#aee672720f53cc1451803c545a9132956">camera.c</a>
, <a class="el" href="camera_8h.html#aee672720f53cc1451803c545a9132956">camera.h</a>
</li>
<li>cpu_initGPU()
: <a class="el" href="cpu_8c.html#afb6f1bb5286860ac584b34c310c8c704">cpu.c</a>
, <a class="el" href="cpu_8h.html#afb6f1bb5286860ac584b34c310c8c704">cpu.h</a>
</li>
<li>cpu_isBuffer()
: <a class="el" href="cpu_8c.html#adb793bcafb95b9de45765d64e17030d6">cpu.c</a>
, <a class="el" href="cpu_8h.html#adb793bcafb95b9de45765d64e17030d6">cpu.h</a>
</li>
<li>cpu_isProgram()
: <a class="el" href="cpu_8h.html#aa46306844fdddafab3bfb788583354ef">cpu.h</a>
, <a class="el" href="cpu_8c.html#aa46306844fdddafab3bfb788583354ef">cpu.c</a>
</li>
<li>cpu_isVertexPuller()
: <a class="el" href="cpu_8h.html#af86ae607a7a32847069be519358a41d1">cpu.h</a>
, <a class="el" href="cpu_8c.html#af86ae607a7a32847069be519358a41d1">cpu.c</a>
</li>
<li>cpu_programUniform1f()
: <a class="el" href="cpu_8c.html#af17be71262ac6e7516869cf736765917">cpu.c</a>
, <a class="el" href="cpu_8h.html#af17be71262ac6e7516869cf736765917">cpu.h</a>
</li>
<li>cpu_programUniform2f()
: <a class="el" href="cpu_8h.html#a7eb40de0cfce0d3b53bbc3f12b3400d0">cpu.h</a>
, <a class="el" href="cpu_8c.html#a7eb40de0cfce0d3b53bbc3f12b3400d0">cpu.c</a>
</li>
<li>cpu_programUniform3f()
: <a class="el" href="cpu_8h.html#ae4e52628af21c7d6f9a4fb5acbc7d345">cpu.h</a>
, <a class="el" href="cpu_8c.html#ae4e52628af21c7d6f9a4fb5acbc7d345">cpu.c</a>
</li>
<li>cpu_programUniform4f()
: <a class="el" href="cpu_8c.html#aaa07bfa15a5042885acebafbb37d1794">cpu.c</a>
, <a class="el" href="cpu_8h.html#aaa07bfa15a5042885acebafbb37d1794">cpu.h</a>
</li>
<li>cpu_programUniformMatrix4f()
: <a class="el" href="cpu_8c.html#ae0c2608a426f5a4671505f174258d19b">cpu.c</a>
, <a class="el" href="cpu_8h.html#ae0c2608a426f5a4671505f174258d19b">cpu.h</a>
</li>
<li>cpu_setVertexPuller()
: <a class="el" href="cpu_8c.html#a4cb243dfeb6443e0f9a6110ce1dd27eb">cpu.c</a>
, <a class="el" href="cpu_8h.html#a4cb243dfeb6443e0f9a6110ce1dd27eb">cpu.h</a>
</li>
<li>cpu_setVertexPullerIndexing()
: <a class="el" href="cpu_8h.html#a4159dbbc604685e544bc296708ced5f9">cpu.h</a>
, <a class="el" href="cpu_8c.html#a4159dbbc604685e544bc296708ced5f9">cpu.c</a>
</li>
<li>cpu_setVS2FSType()
: <a class="el" href="cpu_8c.html#ae9a0898c1ebe8d914d0858f56028c591">cpu.c</a>
, <a class="el" href="cpu_8h.html#ae9a0898c1ebe8d914d0858f56028c591">cpu.h</a>
</li>
<li>cpu_swapBuffers()
: <a class="el" href="cpu_8c.html#abafe6cf31c497f0eec3550474cfb4aee">cpu.c</a>
, <a class="el" href="cpu_8h.html#abafe6cf31c497f0eec3550474cfb4aee">cpu.h</a>
</li>
<li>cpu_unbindVertexPuller()
: <a class="el" href="cpu_8h.html#a749385b47b393259d3ee7cc7f44121dc">cpu.h</a>
, <a class="el" href="cpu_8c.html#a749385b47b393259d3ee7cc7f44121dc">cpu.c</a>
</li>
<li>cpu_useProgram()
: <a class="el" href="cpu_8h.html#abed0fbac42c4335409b29a19f13809f4">cpu.h</a>
, <a class="el" href="cpu_8c.html#abed0fbac42c4335409b29a19f13809f4">cpu.c</a>
</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Tue Apr 23 2019 13:21:21 for Izg project by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
